Package com.independentsoft.graph.mails

# Class MessagePropertyName

java.lang.Object
com.independentsoft.graph.mails.MessagePropertyName

public class MessagePropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ATTACHMENTS`
  `static String`
  `BCC_RECIPIENTS`
  `static String`
  `BODY`
  `static String`
  `BODY_PREVIEW`
  `static String`
  `CATEGORIES`
  `static String`
  `CC_RECIPIENTS`
  `static String`
  `CHANGE_KEY`
  `static String`
  `CONVERSATION_ID`
  `static String`
  `CONVERSATION_INDEX`
  `static String`
  `CREATED_TIME`
  `static String`
  `EXTENDED_PROPERTIES`
  `static String`
  `FLAG`
  `static String`
  `FROM`
  `static String`
  `HAS_ATTACHMENTS`
  `static String`
  `ID`
  `static String`
  `IMPORTANCE`
  `static String`
  `INFERENCE_CLASSIFICATION`
  `static String`
  `INTERNET_MESSAGE_HEADERS`
  `static String`
  `INTERNET_MESSAGE_ID`
  `static String`
  `IS_DELIVERY_RECEIPT_REQUESTED`
  `static String`
  `IS_DRAFT`
  `static String`
  `IS_READ`
  `static String`
  `IS_READ_RECEIPT_REQUESTED`
  `static String`
  `LAST_MODIFIED_TIME`
  `static String`
  `MENTIONS_PREVIEW`
  `static String`
  `MULTI_VALUE_EXTENDED_PROPERTIES`
  `static String`
  `PARENT_FOLDER_ID`
  `static String`
  `RECEIVED_TIME`
  `static String`
  `REPLY_TO`
  `static String`
  `SENDER`
  `static String`
  `SENT_TIME`
  `static String`
  `SINGLE_VALUE_EXTENDED_PROPERTIES`
  `static String`
  `SUBJECT`
  `static String`
  `TO_RECIPIENTS`
  `static String`
  `UNIQUE_BODY`
  `static String`
  `UNSUBSCRIBE_DATA`
  `static String`
  `UNSUBSCRIBE_ENABLED`
  `static String`
  `WEB_LINK`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### CHANGE_KEY

    public static final String CHANGE_KEY
    See Also:
      Constant Field Values

  - ### BCC_RECIPIENTS

    public static final String BCC_RECIPIENTS
    See Also:
      Constant Field Values

  - ### BODY

    public static final String BODY
    See Also:
      Constant Field Values

  - ### BODY_PREVIEW

    public static final String BODY_PREVIEW
    See Also:
      Constant Field Values

  - ### CATEGORIES

    public static final String CATEGORIES
    See Also:
      Constant Field Values

  - ### CC_RECIPIENTS

    public static final String CC_RECIPIENTS
    See Also:
      Constant Field Values

  - ### CONVERSATION_ID

    public static final String CONVERSATION_ID
    See Also:
      Constant Field Values

  - ### CONVERSATION_INDEX

    public static final String CONVERSATION_INDEX
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### FLAG

    public static final String FLAG
    See Also:
      Constant Field Values

  - ### FROM

    public static final String FROM
    See Also:
      Constant Field Values

  - ### HAS_ATTACHMENTS

    public static final String HAS_ATTACHMENTS
    See Also:
      Constant Field Values

  - ### IMPORTANCE

    public static final String IMPORTANCE
    See Also:
      Constant Field Values

  - ### INFERENCE_CLASSIFICATION

    public static final String INFERENCE_CLASSIFICATION
    See Also:
      Constant Field Values

  - ### INTERNET_MESSAGE_HEADERS

    public static final String INTERNET_MESSAGE_HEADERS
    See Also:
      Constant Field Values

  - ### INTERNET_MESSAGE_ID

    public static final String INTERNET_MESSAGE_ID
    See Also:
      Constant Field Values

  - ### IS_DELIVERY_RECEIPT_REQUESTED

    public static final String IS_DELIVERY_RECEIPT_REQUESTED
    See Also:
      Constant Field Values

  - ### IS_DRAFT

    public static final String IS_DRAFT
    See Also:
      Constant Field Values

  - ### IS_READ

    public static final String IS_READ
    See Also:
      Constant Field Values

  - ### IS_READ_RECEIPT_REQUESTED

    public static final String IS_READ_RECEIPT_REQUESTED
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_TIME

    public static final String LAST_MODIFIED_TIME
    See Also:
      Constant Field Values

  - ### MENTIONS_PREVIEW

    public static final String MENTIONS_PREVIEW
    See Also:
      Constant Field Values

  - ### PARENT_FOLDER_ID

    public static final String PARENT_FOLDER_ID
    See Also:
      Constant Field Values

  - ### RECEIVED_TIME

    public static final String RECEIVED_TIME
    See Also:
      Constant Field Values

  - ### REPLY_TO

    public static final String REPLY_TO
    See Also:
      Constant Field Values

  - ### SENDER

    public static final String SENDER
    See Also:
      Constant Field Values

  - ### SENT_TIME

    public static final String SENT_TIME
    See Also:
      Constant Field Values

  - ### SUBJECT

    public static final String SUBJECT
    See Also:
      Constant Field Values

  - ### TO_RECIPIENTS

    public static final String TO_RECIPIENTS
    See Also:
      Constant Field Values

  - ### UNIQUE_BODY

    public static final String UNIQUE_BODY
    See Also:
      Constant Field Values

  - ### UNSUBSCRIBE_DATA

    public static final String UNSUBSCRIBE_DATA
    See Also:
      Constant Field Values

  - ### UNSUBSCRIBE_ENABLED

    public static final String UNSUBSCRIBE_ENABLED
    See Also:
      Constant Field Values

  - ### WEB_LINK

    public static final String WEB_LINK
    See Also:
      Constant Field Values

  - ### ATTACHMENTS

    public static final String ATTACHMENTS
    See Also:
      Constant Field Values

  - ### EXTENDED_PROPERTIES

    public static final String EXTENDED_PROPERTIES
    See Also:
      Constant Field Values

  - ### SINGLE_VALUE_EXTENDED_PROPERTIES

    public static final String SINGLE_VALUE_EXTENDED_PROPERTIES
    See Also:
      Constant Field Values

  - ### MULTI_VALUE_EXTENDED_PROPERTIES

    public static final String MULTI_VALUE_EXTENDED_PROPERTIES
    See Also:
      Constant Field Values